----------------------------------------------
-- RocBox.lua
-- by Lygin Gennady a.k.a. Croc 17.09.2015
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
-- Edit by Lygin Gennady a.k.a. Croc 24.05.2018
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  RocFrameWidth, RocFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
RocBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

RocButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ro1"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(RocBox,0,0,0,0) 

RocCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(RocBox, 20, 0, 0, 0)

RocBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    RocButton.Visible = GuidesVisibility -- display or undisplay Button
    RocCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if RocCheck.Text ==  "o" then
		RocFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

 RocButton.Action = (function()
        return
            function()
              display_Roc= not display_Roc
                if display_Roc then                    				
                    RocFrame.Visible = true                    
                    RocCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    RocFrame.Visible = false                  
                    RocCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()
 
		-----------------------------------------------------------------------------
RocFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-RocFrameWidth)/2, height-RocFrameHeight-2, (width-RocFrameWidth)/2, 2)

 RocFrame.Customdraw = function(this) 

            if Roc_firstTickDone then
            if not(RocCloseButtonDone) then
                RocCloseButtonDone = true
                makeCloseButton(RocCloseButton, RocFrame, RocButton)
            end
            else
                Roc_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then             
                    RocFrame:attach(screenBox, width-RocFrameWidth-36, height-RocFrameHeight-128-27, 36, 128+27) 
               else
                    RocFrame:attach(screenBox, width-RocFrameWidth-200, height-RocFrameHeight-3, 200, 3) 
               end                   
            end
          
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+10, this.tb - 14)         
            textlayout:println(_("ROCKETS-CARRIERS-1"))

end

--===============
-- Подключение команд 
--===============
Roc101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Device / Stages / Date:"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--================
Roc102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Germany"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 2, 2+14*(gg-2),  2, 5+14*2)
--================
Roc103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("V-2 / A-4"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-3), 93, 5+14*3)
		
Roc103Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("V 2")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:V%202/1944-09-09T15:35:20.95474?x=8ITeZPj//////////////w&y=HeNw/AQ&z=cYyQ+PL//////////////w&ow=-0.294942&ox=-0.660139&oy=-0.68863&oz=0.0548936&select=Sol:Earth:V%202&fov=36.4986&ts=5&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()
	
Roc203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-3), 77, 5+14*3)	
--------------------------------
Roc303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-3), 61, 5+14*3)

Roc403Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-3), 45, 5+14*3)

Roc503Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("08-09-44"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-3), 2, 5+14*3)
--================
Roc104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR / Russia"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 2, 2+14*(gg-4),  2, 5+14*4)
--================
Roc105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sputnik"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-5), 93, 5+14*5)	
	
Roc105Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(1992, 12, 27, 14, 54, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj)
               celestia:settimescale(50)  
            end
        end
    end) ()

Roc205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-5), 77, 5+14*5)

Roc305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-5), 61, 5+14*5)

Roc405Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-5), 45, 5+14*5)	

Roc505Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("04-10-57"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-5), 2, 5+14*5)
--================	
Roc106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vostok"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-6), 93, 5+14*6)

Roc106Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2011, 06, 10, 00, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(0.125) 
            end
        end
    end) ()

Roc206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-6), 77, 5+14*6)

Roc306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-6), 61, 5+14*6)

Roc406Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-6), 45, 5+14*6)	
	
Roc506Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("23-09-58"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-6), 2, 5+14*6)
--================
Roc107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Molniya"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-7), 93, 5+14*7)
	
Roc107Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2000, 08, 02, 00, 00, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj)
               celestia:settimescale(1000)  
            end
        end
    end) ()
	
Roc207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-7), 77, 5+14*7)

Roc307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-7), 61, 5+14*7)

Roc407Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-7), 45, 5+14*7)		

Roc507Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("10-10-60"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-7), 2, 5+14*7)
--================
Roc108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Voskhod"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-8), 93, 5+14*8)
	
Roc108Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2000, 08, 02, 00, 00, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj)
               celestia:settimescale(1000)  
            end
        end
    end) ()
	
Roc208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-8), 77, 5+14*8)

Roc308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-8), 61, 5+14*8)

Roc408Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-8), 45, 5+14*8)		

Roc508Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("10-11-63"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-8), 2, 5+14*8)
--================
Roc109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Proton M"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-9), 93, 5+14*9)

Roc109Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Proton M")               
            celestia:select(obj) 
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Proton%20M/2018-09-23T12:07:15.41329?x=BbpJeI7//////////////w&y=Ay4D1PX//////////////w&z=9JhNOSI&ow=0.666942&ox=0.286209&oy=0.523738&oz=-0.446062&track=Sol:Earth:Proton%20M&select=Sol:Earth:Proton%20M&fov=36.4986&ts=0.25&ltd=0&p=0&rf=2164115&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Roc209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-9), 77, 5+14*9)

Roc309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-9), 61, 5+14*9)

Roc409Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-9), 45, 5+14*9)		
	
Roc509Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-07-65"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-9), 2, 5+14*9)	
--================	
Roc110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Soyuz"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-10), 93, 5+14*10)

Roc110Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")               
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2006, 04, 28, 00, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(1) 
            end
        end
    end) ()

Roc210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-10), 77, 5+14*10)

Roc310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-10), 61, 5+14*10)

Roc410Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-10), 45, 5+14*10)		
	
Roc510Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("28-11-66"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-10), 2, 5+14*10)
--===============================
Roc111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Kosmos"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-11), 93, 5+14*11)

Roc111Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")               
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(1993, 03, 26, 02, 21, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(100) 
            end
        end
    end) ()

Roc211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-11), 77, 5+14*11)

Roc311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-11), 61, 5+14*11)

Roc411Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-11), 45, 5+14*11)		
	
Roc511Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-05-67"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-11), 2, 5+14*11)	
--========================
Roc112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Zenit"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-12), 93, 5+14*12)

Roc112Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2000, 11, 21, 18, 24, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()

Roc212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-12), 77, 5+14*12)

Roc312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-12), 61, 5+14*12)

Roc412Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-12), 45, 5+14*12)		

Roc512Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("13-04-85"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-12), 2, 5+14*12)	
--========================
Roc113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Energia"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-13), 93, 5+14*13)
	
Roc113Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Buran")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Buran/1988-10-23T00:04:22.96844?x=J1YIeLX9/////////////w&y=EdQ4KCw&z=J76fTt3//////////////w&ow=0.479131&ox=0.349502&oy=0.681811&oz=-0.42827&track=Sol:Earth:Baikonur&select=Sol:Earth:Baikonur&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Roc213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-13), 77, 5+14*13)

Roc313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-13), 61, 5+14*13)

Roc413Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-13), 45, 5+14*13)		
	
Roc513Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-05-87"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-13), 2, 5+14*13)	
--========================	
Roc114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Rokot"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-14), 93, 5+14*14)

Roc114Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2010, 03, 04, 23, 57, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-14), 77, 5+14*14)

Roc314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-14), 61, 5+14*14)

Roc414Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-14), 45, 5+14*14)		
	
Roc514Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("20-11-90"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-14), 2, 5+14*14)
--========================	
Roc115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Angara"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-15), 93, 5+14*15)

Roc115Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-15), 77, 5+14*15)

Roc315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-15), 61, 5+14*15)

Roc415Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-15), 45, 5+14*15)		
	
Roc515Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("09-07-14"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-15), 2, 5+14*15)	
--========================
Roc116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-16), 93, 5+14*16)

Roc116Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("N1")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Roc216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-16), 77, 5+14*16)

Roc316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-16), 61, 5+14*16)

Roc416Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-16), 45, 5+14*16)

Roc516Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-16), 2, 5+14*16)
--===========================
Roc117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-17), 93, 5+14*17)

Roc117Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-17), 77, 5+14*17)

Roc317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-17), 61, 5+14*17)

Roc417Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-17), 45, 5+14*17)	
	
Roc517Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-17), 2, 5+14*17)
--===========================
Roc118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-18), 93, 5+14*18)

Roc118Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-18), 77, 5+14*18)

Roc318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-18), 61, 5+14*18)

Roc418Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-18), 45, 5+14*18)	
	
Roc518Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-18), 2, 5+14*18)
--===========================
Roc119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 2, 2+14*(gg-19),  2, 5+14*19)
--===========================
Roc120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Redstone 4"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-20), 93, 5+14*20)

Roc120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-20), 77, 5+14*20)

Roc320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-20), 61, 5+14*20)

Roc420Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-20), 45, 5+14*20)	
	
Roc520Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("20-08-53"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-20), 2, 5+14*20)
--===========================
Roc121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Titan I"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-21), 93, 5+14*21)

Roc121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-21), 77, 5+14*21)

Roc321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-21), 61, 5+14*21)

Roc421Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-21), 45, 5+14*21)	
	
Roc521Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("   -02-59"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-21), 2, 5+14*21)
--===========================
Roc122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("T. II Gemini"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-22), 93, 5+14*22)

Roc122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-22), 77, 5+14*22)

Roc322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-22), 61, 5+14*22)

Roc422Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-22), 45, 5+14*22)	
	
Roc522Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("08-04-64"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-22), 2, 5+14*22)
--===========================
Roc123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("T. III-B Agena"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-23), 93, 5+14*23)

Roc123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-23), 77, 5+14*23)

Roc323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-23), 61, 5+14*23)

Roc423Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-23), 45, 5+14*23)	
	
Roc523Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("   -02-59"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-23), 2, 5+14*23)
--===========================
Roc124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("T. III-C"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-24), 93, 5+14*24)

Roc124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-24), 77, 5+14*24)

Roc324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-24), 61, 5+14*24)

Roc424Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-24), 45, 5+14*24)	
	
Roc524Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("18-06-65"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-24), 2, 5+14*24)
--===========================
Roc125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("T. III-C MOL"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-25), 93, 5+14*25)

Roc125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-25), 77, 5+14*25)

Roc325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-25), 61, 5+14*25)

Roc425Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-25), 45, 5+14*25)	
	
Roc525Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-25), 2, 5+14*25)
--===========================
Roc126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("T. III-E Cent."))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-26), 93, 5+14*26)

Roc126Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Titan III-E")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Earth:Titan%20III-E/1977-09-05T13:51:08.64615?x=PrUzCzM&y=IREBx/3//////////////w&z=yEnwQ/b//////////////w&ow=-0.464133&ox=0.552065&oy=0.537407&oz=0.437034&track=Sol:Earth:Titan%20III-E&select=Sol:Earth:Titan%20III-E&fov=36.4986&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Roc226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-26), 77, 5+14*26)

Roc326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-26), 61, 5+14*26)

Roc426Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 111, 2+14*(gg-26), 45, 5+14*26)

Roc426Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Centaur R-B 43227")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Centaur%20R-B%2043227/2018-09-19T12:01:17.10467?x=viDclQU&y=22r/Ig0&z=xoNcJf///////////////w&ow=0.597199&ox=0.723388&oy=0.0810618&oz=0.336886&track=Sol:Earth:Centaur%20R-B%2043227&select=Sol:Earth:Centaur%20R-B%2043227&fov=36.4986&ts=0.2&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	
	
Roc526Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-07-71"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-26), 2, 5+14*26)
--===========================
Roc127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("T. IV B"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-27), 93, 5+14*27)

Roc127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Titan-4B")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Titan-4B/2018-06-22T00:01:45.16680?x=fzeEmDA&y=jrkn7cb//////////////w&z=6UrAvin//////////////w&ow=0.134528&ox=-0.222229&oy=-0.960502&oz=0.0997632&track=Sol:Earth:Titan-4B&select=Sol:Earth:Titan-4B&fov=36.4986&ts=2&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Roc227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-27), 77, 5+14*27)

Roc327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-27), 61, 5+14*27)

Roc427Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-27), 45, 5+14*27)	
	
Roc527Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("14-06-89"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-27), 2, 5+14*27)
--===========================
Roc128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Delta"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-28), 93, 5+14*28)

Roc128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-28), 77, 5+14*28)

Roc328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-28), 61, 5+14*28)

Roc428Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-28), 45, 5+14*28)	
	
Roc528Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("12-08-60"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-28), 2, 5+14*28)
--===========================
Roc129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Delta II"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-29), 93, 5+14*29)

Roc129Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-29), 77, 5+14*29)

Roc329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-29), 61, 5+14*29)

Roc429Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-29), 45, 5+14*29)	
	
Roc529Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("14-02-98"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-29), 2, 5+14*29)
--===========================
Roc130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Delta III"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-30), 93, 5+14*30)

Roc130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-30), 77, 5+14*30)

Roc330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-30), 61, 5+14*30)

Roc430Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-30), 45, 5+14*30)	
	
Roc530Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("27-08-98"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-30), 2, 5+14*30)
--===========================
Roc131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("D. IV Medium"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-31), 93, 5+14*31)

Roc131Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-31), 77, 5+14*31)

Roc331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-31), 61, 5+14*31)

Roc431Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-31), 45, 5+14*31)	
	
Roc531Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("11-03-03"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-31), 2, 5+14*31)
--===========================
Roc132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("D. IV Heavy"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-32), 93, 5+14*32)

Roc132Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Delta-4H")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Delta-4H/2018-06-18T12:01:32.97540?x=gN6vLjH//////////////w&y=Tcuc71M&z=/RulSyk&ow=0.745895&ox=0.376765&oy=0.516802&oz=-0.186023&track=Sol:Earth:Delta-4H&select=Sol:Earth:Delta-4H&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Roc232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-32), 77, 5+14*32)

Roc332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-32), 61, 5+14*32)

Roc432Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-32), 45, 5+14*32)	
	
Roc532Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("21-12-04"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-32), 2, 5+14*32)
--===========================
Roc133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Saturn I"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-33), 93, 5+14*33)

Roc133Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-33), 77, 5+14*33)

Roc333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-33), 61, 5+14*33)

Roc433Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-33), 45, 5+14*33)	
	
Roc533Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("27-10-61"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-33), 2, 5+14*33)
--===========================
Roc134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Saturn V"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-34), 93, 5+14*34)

Roc134Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Saturn V (spacecraft")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-34), 77, 5+14*34)

Roc334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-34), 61, 5+14*34)

Roc434Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-34), 45, 5+14*34)	
	
Roc534Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("09-11-67"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-34), 2, 5+14*34)
--===========================
Roc135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Space Shuttle"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-35), 93, 5+14*35)
	
Roc135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Challenger")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:Challenger/1986-01-28T17:09:20.17903?x=Zsub5O///////////////w&y=Dg12off//////////////w&z=+Lwzoww&ow=0.834135&ox=-0.339828&oy=0.314369&oz=0.299846&track=Sol:Earth:Challenger&select=Sol:Earth:Challenger&fov=101.997&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.65)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()	

Roc235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-35), 77, 5+14*35)

Roc335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-35), 61, 5+14*35)

Roc435Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-35), 45, 5+14*35)	
	
Roc535Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("12-04-81"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-35), 2, 5+14*35)
--===========================
Roc136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pegasus XL"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-36), 93, 5+14*36)

Roc136Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Pegasus XL")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Pegasus%20XL/2018-07-04T00:32:43.73680?x=Au9ks/7//////////////w&y=08svv/L//////////////w&z=dUiKHPH//////////////w&ow=0.178066&ox=-0.542941&oy=-0.760193&oz=0.309216&track=Sol:Earth:Pegasus%20XL&select=Sol:Earth:Pegasus%20XL&fov=36.4986&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Roc236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-36), 77, 5+14*36)

Roc336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-36), 61, 5+14*36)

Roc436Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-36), 45, 5+14*36)	
	
Roc536Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-12-99"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-36), 2, 5+14*36)
--===========================
Roc137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Atlas V"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-37), 93, 5+14*37)

Roc137Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Atlas-5-Centaur")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Atlas-5-Centaur/2018-07-08T00:01:49.41993?x=dwANaA4&y=adqvcSg&z=upotNVQ&ow=0.681087&ox=0.210057&oy=0.102133&oz=0.69395&track=Sol:Earth:Atlas-5-Centaur&select=Sol:Earth:Atlas-5-Centaur&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Roc237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-37), 77, 5+14*37)

Roc337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-37), 61, 5+14*37)

Roc437Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-37), 45, 5+14*37)	
	
Roc537Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("21-08-02"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-37), 2, 5+14*37)
--==========================
	Roc138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Minotaur V"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-38), 93, 5+14*38)

Roc138Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]			
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-38), 77, 5+14*38)

Roc338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-38), 61, 5+14*38)

Roc438Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-38), 45, 5+14*38)	
	
Roc538Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06-09-13"))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-38), 2, 5+14*38)
--===========================
Roc139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-39), 93, 5+14*39)

Roc139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-39), 77, 5+14*39)

Roc339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-39), 61, 5+14*39)

Roc439Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-39), 45, 5+14*39)	
	
Roc539Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-39), 2, 5+14*39)
--===========================
Roc1401Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-40), 93, 5+14*40)

Roc1401Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()

Roc240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-40), 77, 5+14*40)

Roc340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-40), 61, 5+14*40)

Roc440Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-40), 45, 5+14*40)	
	
Roc540Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-40), 2, 5+14*40)
--===========================
Roc141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 2, 2+14*(gg-41), 93, 5+14*41)

Roc141Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 79, 2+14*(gg-41), 77, 5+14*41)

Roc341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(RocFrame, 95, 2+14*(gg-41), 61, 5+14*41)

Roc441Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 111, 2+14*(gg-41), 45, 5+14*41)	
	
Roc541Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(RocFrame, 127, 2+14*(gg-41), 2, 5+14*41)	
